From cd188c2e3ed7518ca3ae88422023e2efe2b34d28 Mon Sep 17 00:00:00 2001
From: Jan Rinze Peterzon <peterzon@astron.nl>
Date: Wed, 21 Oct 2015 16:16:04 +0000
Subject: [PATCH] Task #8571: minor fix for t_RPC.run.

---
 .gitattributes                                |  1 +
 LCS/Messaging/python/messaging/test/t_RPC.run | 14 ++++++++++++++
 2 files changed, 15 insertions(+)
 create mode 100755 LCS/Messaging/python/messaging/test/t_RPC.run

diff --git a/.gitattributes b/.gitattributes
index e2f4a3db6d2..204996f1c72 100644
--- a/.gitattributes
+++ b/.gitattributes
@@ -2608,6 +2608,7 @@ LCS/Messaging/python/messaging/messagebus.py -text
 LCS/Messaging/python/messaging/messages.py -text
 LCS/Messaging/python/messaging/test/CMakeLists.txt -text
 LCS/Messaging/python/messaging/test/t_RPC.py -text
+LCS/Messaging/python/messaging/test/t_RPC.run -text
 LCS/Messaging/python/messaging/test/t_RPC.sh -text
 LCS/Messaging/python/messaging/test/t_messagebus.py -text
 LCS/Messaging/python/messaging/test/t_messagebus.run -text
diff --git a/LCS/Messaging/python/messaging/test/t_RPC.run b/LCS/Messaging/python/messaging/test/t_RPC.run
new file mode 100755
index 00000000000..fa81151310f
--- /dev/null
+++ b/LCS/Messaging/python/messaging/test/t_RPC.run
@@ -0,0 +1,14 @@
+#!/bin/sh -e
+
+#cleanup on normal exit and on SIGHUP, SIGINT, SIGQUIT, and SIGTERM
+trap 'qpid-config del queue --force $queue' 0 1 2 3 15
+
+# Generate randome queue name
+queue=$(< /dev/urandom tr -dc [:alnum:] | head -c16)
+
+# Create the queue
+qpid-config add exchange topic $queue
+
+# Run the unit test
+python t_RPC.py $queue
+
-- 
GitLab